GCLOUD_DEPLOYMENT-MANAGER_TYPES_LIST(1)

NAME

gcloud deployment-manager types list - list types in a project

SYNOPSIS

gcloud deployment-manager types list [--filter EXPRESSION] [--limit LIMIT] [--page-size PAGE_SIZE] [GLOBAL-FLAG ...]

DESCRIPTION
Prints a a list of the available resource types.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--page-size PAGE_SIZE
    Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To print out a list of all available type names, run:
    $ gcloud deployment-manager types list